import 'package:grimm/src/grimm_base.dart';
import 'package:grimm/src/providers/base_provider.dart';

/// https://www.contentful.com/developers/docs/references/images-api/
/// Use Contentful Images API
///
const _BASE_URL = 'https://images.ctfassets.net/';

class Contentful extends GrimmProvider {
  @override
  final String provider = 'Contentful';

  /// from url
  /// ex: https://ucarecdn.com/6c5b97ee-4ce9-490f-92e9-50cba0271917/intelligence.svg
  Contentful.fromUrl(this.url, {this.baseUrl = _BASE_URL});

  final String url;

  final String baseUrl;

  @override
  Grimm get grimm => Grimm.contentful(url);
}
